rte_swx_ctl_table_action_info(3)

NAME
rte_swx_ctl_table_action_info

SYNOPSIS

#include <rte_swx_ctl.h>

  Data Fields

uint32_t action_id
int action_is_for_table_entries
int action_is_for_default_entry

Detailed Description

Table action info.

Definition at line 314 of file rte_swx_ctl.h.

Field Documentation

  uint32_t action_id
Action ID.

Definition at line 316 of file rte_swx_ctl.h.

  int action_is_for_table_entries
When non-zero (true), the action can be assigned to regular table entries.

Definition at line 319 of file rte_swx_ctl.h.

  int action_is_for_default_entry
When non-zero (true), the action can be assigned to the table default entry.

Definition at line 322 of file rte_swx_ctl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.